<?php

class Migration_20250805202549_alter_table_hardware_setting_events_snap
{
    public static function up(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE `hardwares_settings_events`
            ADD COLUMN `file_name` TEXT NULL AFTER `timestamp`,
            ADD COLUMN `camera_snap` LONGTEXT NULL AFTER `file_name`,
            ADD COLUMN `call_id` int NULL AFTER `camera_snap`
        ");
    }

    public static function down(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE `hardwares_settings_events`
            DROP COLUMN `camera_snap`,
            DROP COLUMN `call_id`
        ");
    }
}